/**
 * 
 */
package org.ow2.petals.registry.api;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import javax.xml.namespace.QName;

/**
 * @author chamerling
 * 
 */
public class Query {

    private QName endpoint;

    private QName service;

    private List<QName> interfaces;

    /**
     * Others parameters which are implementation dependent. This is why there
     * is a map here (even if I do not like maps...)...
     */
    private Map<String, String> params;

    private boolean ignoreParams;

    public Query() {
        this.interfaces = new ArrayList<QName>();
        this.params = new HashMap<String, String>();
        this.ignoreParams = true;
    }

    public Query(QName endpoint, QName service, List<QName> interfaces) {
        this();
        this.endpoint = endpoint;
        this.service = service;
        this.interfaces = interfaces;
    }

    public List<QName> getInterfaces() {
        return this.interfaces;
    }

    public void setInterfaces(List<QName> interfaces) {
        this.interfaces = interfaces;
    }

    public QName getEndpoint() {
        return this.endpoint;
    }

    public void setEndpoint(QName endpoint) {
        this.endpoint = endpoint;
    }

    public QName getService() {
        return this.service;
    }

    public void setService(QName service) {
        this.service = service;
    }

    public Map<String, String> getParams() {
        return this.params;
    }

    public void setParams(Map<String, String> params) {
        this.params = params;
    }

    public boolean isIgnoreParams() {
        return this.ignoreParams;
    }

    public void setIgnoreParams(boolean ignoreParams) {
        this.ignoreParams = ignoreParams;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer("QUERY = ");
        sb.append("EP : ");
        sb.append(this.getEndpoint());
        sb.append(" / SRV : ");
        sb.append(this.getService());
        sb.append(" / ITFS : ");
        if (this.getInterfaces() != null) {
            for (QName itf : this.getInterfaces()) {
                sb.append(itf);
                sb.append(", ");
            }
        }
        sb.append(" / PARAMS : ");
        if (this.params != null) {
            for (String key : this.params.keySet()) {
                sb.append(key);
                sb.append("=");
                sb.append(this.params.get(key));
                sb.append(", ");
            }
        }
        return sb.toString();
    }

}
