/**
 * PETALS - PETALS Services Platform. Copyright (c) 2008 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.registry.api.manager;

/**
 * This is the local manager which is in charge of resource reception. Do not
 * forget to be carefully while accessing the resources from the local registry
 * since it can have propagation strategies which will really flood the network.
 * Prefer accessing directly to the repository manager because it is the
 * resource storage.
 * 
 * @author Christophe HAMERLING - eBM WebSourcing
 * 
 */
public interface IncomingManager extends IOManager {

    /**
     * Pause message reception
     */
    void pause();
    
    /**
     * Resume message reception
     */
    void resume();

}
